Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Update scheduling page
PUT
/api/v1/scheduling-pages/{id}
const url = 'https://api.pitch2sale.com/api/v1/scheduling-pages/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","description":"example","meeting_durations_offered":[1],"default_duration_minutes":1,"intake_form":[{"key":"example","type":"short_text","required":true,"label":"example","options":["example"]}],"branding":{"primary_color":"example","logo_url":"https://example.com","show_pitch2sale_attribution":true},"business_hours_override":{"additionalProperty":["example"]},"notice_period_hours":1,"booking_window_days":1,"slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.pitch2sale.com/api/v1/scheduling-pages/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "description": "example", "meeting_durations_offered": [ 1 ], "default_duration_minutes": 1, "intake_form": [ { "key": "example", "type": "short_text", "required": true, "label": "example", "options": [ "example" ] } ], "branding": { "primary_color": "example", "logo_url": "https://example.com", "show_pitch2sale_attribution": true }, "business_hours_override": { "additionalProperty": [ "example" ] }, "notice_period_hours": 1, "booking_window_days": 1, "slug": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
title
string
description
string
meeting_durations_offered
Array<integer>
default_duration_minutes
integer
intake_form
Array<object>
object
key
required
string
type
required
string
required
required
boolean
label
required
string
options
Array<string>
branding
notice_period_hours
integer
booking_window_days
integer
slug
Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}